EnTT: entt::entt_traits< Type > Struct Template Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
Public Types | Static Public Attributes | List of all members
entt::entt_traits< Type > Struct Template Reference

Entity traits. More...

`#include <entity.hpp>`

Inheritance diagram for entt::entt_traits< Type >:
[legend]
Collaboration diagram for entt::entt_traits< Type >:
[legend]

## Public Types
using | base_type = basic_entt_traits<internal::entt_traits<Type>>
| Base type.
Public Types inherited from entt::basic_entt_traits< internal::entt_traits< Type > >
using | value_type
| Value type.
using | entity_type
| Underlying entity type.
using | version_type
| Underlying version type.

## Static Public Attributes
static constexpr std::size_t | page_size = 4096
| Page size, default is `ENTT_SPARSE_PAGE`.
Static Public Attributes inherited from entt::basic_entt_traits< internal::entt_traits< Type > >
static constexpr entity_type | entity_mask
| Entity mask size.
static constexpr entity_type | version_mask
| Version mask size.
static constexpr entity_type | entity_mask
| Entity mask size.
static constexpr entity_type | version_mask
| Version mask size.

## Additional Inherited Members
Static Public Member Functions inherited from entt::basic_entt_traits< internal::entt_traits< Type > >
static constexpr entity_type | to_integral (const value_type value) noexcept
| Converts an entity to its underlying type.
static constexpr entity_type | to_entity (const value_type value) noexcept
| Returns the entity part once converted to the underlying type.
static constexpr version_type | to_version (const value_type value) noexcept
| Returns the version part once converted to the underlying type.
static constexpr value_type | next (const value_type value) noexcept
| Returns the successor of a given identifier.
static constexpr value_type | construct (const entity_type entity, const version_type version) noexcept
| Constructs an identifier from its parts.
static constexpr value_type | combine (const entity_type lhs, const entity_type rhs) noexcept
| Combines two identifiers in a single one.
static constexpr entity_type | to_integral (const value_type value) noexcept
| Converts an entity to its underlying type.
static constexpr entity_type | to_entity (const value_type value) noexcept
| Returns the entity part once converted to the underlying type.
static constexpr version_type | to_version (const value_type value) noexcept
| Returns the version part once converted to the underlying type.
static constexpr value_type | next (const value_type value) noexcept
| Returns the successor of a given identifier.
static constexpr value_type | construct (const entity_type entity, const version_type version) noexcept
| Constructs an identifier from its parts.
static constexpr value_type | combine (const entity_type lhs, const entity_type rhs) noexcept
| Combines two identifiers in a single one.

## Detailed Description

template<typename Type>
struct entt::entt_traits< Type >

Entity traits.

Template Parameters

  Type | Type of identifier.

Definition at line 163 of file entity.hpp.

## Member Typedef Documentation

## ◆ base_type

template<typename Type>

using entt::entt_traits< Type >::base_type = basic_entt_traits<internal::entt_traits<Type>>

Base type.

Definition at line 165 of file entity.hpp.

## Member Data Documentation

## ◆ page_size

template<typename Type>

std::size_t entt::entt_traits< Type >::page_size = 4096
| staticconstexpr

Page size, default is `ENTT_SPARSE_PAGE`.

Definition at line 167 of file entity.hpp.

The documentation for this struct was generated from the following file:

- src/entt/entity/entity.hpp